package com.zbkj.service.wangshang.api.domain.model.notify;


import com.zbkj.service.wangshang.api.domain.ResponseBody;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 商户管控通知< ant.mybank.merchantprod.merch.control.notify>
 * <p>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "body")
public class MerchantprodMerchControlNotifyModel extends ResponseBody {

    private static final long serialVersionUID = -3264596667211388155L;
    /**
     * 外部交易号
     */
    @XmlElement(name = "OutTradeNo")
    private String outTradeNo;

    /**
     * 商户号列表
     */
    @XmlElement(name = "MerchantIds")
    private String merchantIds;

    /**
     * 外部商户号列表
     */
    @XmlElement(name = "OutMerchantIds")
    private String outMerchantIds;

    /**
     * 消息通知时间
     */
    @XmlElement(name = "PunishDate")
    private String punishDate;

    /**
     * 管控通知类型
     */
    @XmlElement(name = "ControlNotifyType")
    private String ControlNotifyType;

    /**
     * 管控单号
     */
    @XmlElement(name = "ControlOrderNo")
    private String controlOrderNo;

    /**
     * 管控类型
     */
    @XmlElement(name = "ControlCategory")
    private String controlCategory;
    /**
     * 管控策略
     */
    @XmlElement(name = "ControlStrategy")
    private String controlStrategy;
    /**
     * 管控原因
     */
    @XmlElement(name = "ChangeReason")
    private String changeReason;
    /**
     * true-可引导升级解除
     * false 不允许引导升级解除
     */
    @XmlElement(name = "CanUpgrade")
    private String canUpgrade;
    /**
     * 中心化升级链接
     */
    @XmlElement(name = "UpgradeUrl")
    private String upgradeUrl;
    /**
     * 延迟管控的生效时间
     */
    @XmlElement(name = "EffectiveTime")
    private String effectiveTime;

    public String getOutTradeNo() {
        return outTradeNo;
    }

    public void setOutTradeNo(String outTradeNo) {
        this.outTradeNo = outTradeNo;
    }

    public String getMerchantIds() {
        return merchantIds;
    }

    public void setMerchantIds(String merchantIds) {
        this.merchantIds = merchantIds;
    }

    public String getOutMerchantIds() {
        return outMerchantIds;
    }

    public void setOutMerchantIds(String outMerchantIds) {
        this.outMerchantIds = outMerchantIds;
    }

    public String getPunishDate() {
        return punishDate;
    }

    public void setPunishDate(String punishDate) {
        this.punishDate = punishDate;
    }

    public String getControlNotifyType() {
        return ControlNotifyType;
    }

    public void setControlNotifyType(String controlNotifyType) {
        ControlNotifyType = controlNotifyType;
    }

    public String getControlOrderNo() {
        return controlOrderNo;
    }

    public void setControlOrderNo(String controlOrderNo) {
        this.controlOrderNo = controlOrderNo;
    }

    public String getControlCategory() {
        return controlCategory;
    }

    public void setControlCategory(String controlCategory) {
        this.controlCategory = controlCategory;
    }

    public String getControlStrategy() {
        return controlStrategy;
    }

    public void setControlStrategy(String controlStrategy) {
        this.controlStrategy = controlStrategy;
    }

    public String getChangeReason() {
        return changeReason;
    }

    public void setChangeReason(String changeReason) {
        this.changeReason = changeReason;
    }

    public String getCanUpgrade() {
        return canUpgrade;
    }

    public void setCanUpgrade(String canUpgrade) {
        this.canUpgrade = canUpgrade;
    }

    public String getUpgradeUrl() {
        return upgradeUrl;
    }

    public void setUpgradeUrl(String upgradeUrl) {
        this.upgradeUrl = upgradeUrl;
    }

    public String getEffectiveTime() {
        return effectiveTime;
    }

    public void setEffectiveTime(String effectiveTime) {
        this.effectiveTime = effectiveTime;
    }
}